package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag765;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT765Creator;

public class Tag77Creator extends AbsTagCreate {
    private MT765Creator mt765Creator;

    public Tag77Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt765Creator= (MT765Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag77Value = mt765Creator.getPresentationCompletionDetails();
        mt765Creator.set("77", tag77Value);
    }
}
